package com.liquidnet.service.merchant.service;

import com.liquidnet.service.base.PagedResult;
import com.liquidnet.service.merchant.dto.param.MerchantSponsorEditParam;
import com.liquidnet.service.merchant.dto.vo.MerchantSponsorsVo;

public interface IMerchantSponsorsService {
    PagedResult<MerchantSponsorsVo> search(String name, int page, int size);

    MerchantSponsorsVo sponsorInfo(String uid, String sponsorId);

    void editBaseInfo(String uid, MerchantSponsorEditParam parameter);
}
